/*
   xdm_gfx.h
*/

#ifndef XDMGFX_H
#define XDMGFX_H

#include <qobject.h>
#include <qpainter.h>
#include <qpixmap.h>
#include <qwidget.h>


class DynaPixels : public QPixmap
{
    public:
        DynaPixels( int x, int y);
        
        void drawTitle();
        void drawLevel();
        void timer();
        
        unsigned char  leveldata[ 16 ][ 16 ], moves, best, stonesleft;
        char           dirx, diry, posx, posy, gluesleft, curlevel[ 1024 ];
        QWidget        *dynscr;
        
    protected:
        
    private:
        void death( void);
        void explode( int x, int y, int type);
        void getnext( int &x, int &y, int &type);
        
        QPixmap  *title, *pieces16;
        char     text[ 128 ];
};

#endif
